#
# spec file for package libcdio (Version 0.78.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libcddb libcddb-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libxml2 libzio licenses linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg pam pam-modules patch perl perl-base permissions pkg-config popt popt-devel rpm sed sysvinit tar texinfo timezone util-linux vcdimager vcdimager-devel zlib


Name:           libcdio
# WARNING: After editing this file please call Re or rpmbuild to update spec file:
#%(sh %{_sourcedir}/libcdio_spec-prepare.sh %{_sourcedir} %{name})
# You want standard build unless you will work-around build dependency on itself.
%define STANDARD_BUILD 1
%define _name libcdio
BuildRequires:  gcc-c++ licenses pkg-config popt-devel
%if %STANDARD_BUILD
BuildRequires:  libcddb-devel ncurses-devel vcdimager-devel
# Only for regression testing:
#BuildRequires:  cdparanoia
%endif
Version:        0.78.2
Release:        3.2
# WARNING: After changing versions please call Re or rpmbuild to auto-update spec file:
%define libcdio_name 7
%define libcdio_paranoia_name 0
%define libcdio_cdda_name 0
%define libcdio++_name 0
%define libiso9660_name 5
%define libudf_name 0
Url:            http://www.gnu.org/software/libcdio/
Group:          Productivity/Multimedia/Other
License:        GPL v2 or later
Summary:        CD-ROM Access Library
Source:         %{_name}-%{version}.tar.bz2
Source1:        %{_name}_spec-prepare.sh
Source2:        libcdio-mini-%{version}-rpmlintrc
Patch:          libcdio-joliet-name-overflow.patch
Patch2:         libcdio-0.78.2-check-returns.patch
PreReq:         %install_info_prereq
Requires:       licenses
%if %STANDARD_BUILD == 0
Provides:       %{_name} = %{version}-%{release}
NoSource:       0
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library encapsulates CD-ROM reading and control. Applications
wanting to be oblivious to the OS and device-dependent properties of a
CD-ROM can use this library.



Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%package -n libcdio7
Group:          Productivity/Multimedia/Other
Summary:        CD-ROM Access Library
# Name for <= 10.2
Obsoletes:      libcdio <= %{version}
Provides:       libcdio = %{version}

%description -n libcdio7
This library encapsulates CD-ROM reading and control. Applications
wanting to be oblivious to the OS and device-dependent properties of a
CD-ROM can use this library.



Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%package -n libcdio_cdda0
Group:          Productivity/Multimedia/Other
Summary:        CD-ROM Access Library

%description -n libcdio_cdda0
This library encapsulates CD-ROM reading and control. Applications
wanting to be oblivious to the OS and device-dependent properties of a
CD-ROM can use this library.



Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%package -n libcdio_paranoia0
Group:          Productivity/Multimedia/Other
Summary:        CD-ROM Access Library

%description -n libcdio_paranoia0
This library encapsulates CD-ROM reading and control. Applications
wanting to be oblivious to the OS and device-dependent properties of a
CD-ROM can use this library.



Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%package -n libcdio++0
Group:          Productivity/Multimedia/Other
Summary:        CD-ROM Access Library

%description -n libcdio++0
This library encapsulates CD-ROM reading and control. Applications
wanting to be oblivious to the OS and device-dependent properties of a
CD-ROM can use this library.



Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%package -n libiso9660-5
Group:          Productivity/Multimedia/Other
Summary:        CD-ROM Access Library

%description -n libiso9660-5
This library encapsulates CD-ROM reading and control. Applications
wanting to be oblivious to the OS and device-dependent properties of a
CD-ROM can use this library.



Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%package -n libudf0
Group:          Productivity/Multimedia/Other
Summary:        CD-ROM Access Library

%description -n libudf0
This library encapsulates CD-ROM reading and control. Applications
wanting to be oblivious to the OS and device-dependent properties of a
CD-ROM can use this library.



Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%package utils
Group:          Productivity/Multimedia/Other
Summary:        CD-ROM Access Library
Requires:       libcdio7 = %{version}

%description utils
This library encapsulates CD-ROM reading and control. Applications
wanting to be oblivious to the OS and device-dependent properties of a
CD-ROM can use this library.



Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%package devel
Group:          Productivity/Multimedia/Other
Summary:        CD-ROM access library
Requires:       libcdio7 = %{version} libcdio_cdda0 = %{version} libcdio_paranoia0 = %{version} libcdio++0 = %{version} libiso9660-5 = %{version} libudf0 = %{version} glibc-devel
%if %STANDARD_BUILD == 0
Provides:       %{_name}-devel = %{version}-%{release}
%endif

%description devel
This library encapsulates CD-ROM reading and control. Applications
wanting to be oblivious to the OS and device-dependent properties of a
CD-ROM can use this library.



Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%prep
%setup -q -n %{_name}-%{version}
%patch
%patch2 -p1

%build
%{?suse_update_config:%{suse_update_config  -f -l}}
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall
mv $RPM_BUILD_ROOT%{_mandir}/jp $RPM_BUILD_ROOT%{_mandir}/ja
for FILE in COPYING ; do
    MD5SUM=$(md5sum $FILE | sed 's/ .*//')
    if test -f /usr/share/doc/licenses/md5/$MD5SUM ; then
	ln -sf /usr/share/doc/licenses/md5/$MD5SUM $FILE
    fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libcdio7 -p /sbin/ldconfig

%post -n libcdio_cdda0 -p /sbin/ldconfig

%post -n libcdio_paranoia0 -p /sbin/ldconfig

%post -n libcdio++0 -p /sbin/ldconfig

%post -n libiso9660-5 -p /sbin/ldconfig

%post -n libudf0 -p /sbin/ldconfig

%postun -n libcdio7 -p /sbin/ldconfig

%postun -n libcdio_cdda0 -p /sbin/ldconfig

%postun -n libcdio_paranoia0 -p /sbin/ldconfig

%postun -n libcdio++0 -p /sbin/ldconfig

%postun -n libiso9660-5 -p /sbin/ldconfig

%postun -n libudf0 -p /sbin/ldconfig

%post utils
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun utils
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files -n libcdio7
%defattr (-, root, root)
%{_libdir}/libcdio.so.*

%files -n libcdio_cdda0
%defattr (-, root, root)
%{_libdir}/libcdio_cdda.so.*

%files -n libcdio_paranoia0
%defattr (-, root, root)
%{_libdir}/libcdio_paranoia.so.*

%files -n libcdio++0
%defattr (-, root, root)
%{_libdir}/libcdio++.so.*
%{_libdir}/libiso9660++.so.*

%files -n libiso9660-5
%defattr (-, root, root)
%{_libdir}/libiso9660.so.*

%files -n libudf0
%defattr (-, root, root)
%{_libdir}/libudf.so.*

%files utils
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README.libcdio THANKS TODO
%{_bindir}/cd-*
%if %STANDARD_BUILD
%{_bindir}/cdda-*
%endif
%{_bindir}/iso-*
%{_bindir}/mmc-*
%doc %{_infodir}/*.info*
%doc %{_mandir}/man?/*.*
%lang(ja) %doc %{_mandir}/ja/man?/*.*

%files devel
%defattr (-, root, root)
%{_includedir}/cdio
%{_includedir}/cdio++
%{_libdir}/libcdio*.so
%{_libdir}/libcdio*.*a
%{_libdir}/libiso9660*.so
%{_libdir}/libiso9660*.*a
%{_libdir}/libudf*.so
%{_libdir}/libudf*.*a
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Feb 27 2008 - sbrabec@suse.cz
- Fixed more possible memory allocation buffer overflows
  (bnc#351127).
* Wed Jan 09 2008 - sbrabec@suse.cz
- Fixed buffer overflows for long Joliet names (#351127).
* Tue Aug 07 2007 - sbrabec@suse.cz
- Fixed mini file list.
* Sun Aug 05 2007 - coolo@suse.de
- adding versioned provides for upgrade
* Fri Jul 20 2007 - sbrabec@suse.cz
- Updated to version 0.78.2:
  * Fixed bug in libcdio.so version numbering.
  * Added mmc-tool and mmc-close-tray.
  * libudf: can now read (extract) file data, at least for ICB
  strategy type 4.
  * libcdio is starting to get updated for UTF-8 support.
  * Fixes to eject.
  * Other fixes.
- Split package according to shared library packaging policy.
- Added script to convert libcdio.spec to libcdio-mini.spec and
  update library package names.
* Mon Mar 12 2007 - sbrabec@suse.cz
- Fixed NoSrc and Provides of temporary package.
* Fri Oct 06 2006 - sbrabec@suse.cz
- Updated to version 0.77:
  * Added object-oriented C++ wrapper.
  * Replaced libpopt with getopt in binaries.
  * Documented cd-paranoia.
  * Added cdio_eject_media_drive.
  * Added more generic read_sectors().
  * Some provision for handling Rock-Ridge device numbers.
  * Block read routines return success if asked to read 0 blocks.
  * Start UDF handling
  * Improved developer documentation.
  * Code improvements.
  * Bug fixes.
  * Small cdda-player improvements.
  * NRG checking parses file.
  * Revised and improved example programs.
  * Replaced all uses of strcat and strcpy with strncat and
  strncpy.
* Mon Jul 03 2006 - max@suse.de
- Added gcc-c++ to neededforbuild.
* Fri Jun 30 2006 - sbrabec@suse.cz
- Fixed cyclic dependencies in a correct way.
* Tue Jun 27 2006 - sbrabec@suse.cz
- Use NoSource in libcdio-mini.
* Thu Jun 22 2006 - sbrabec@suse.cz
- Simpler solution of cyclic dependencies.
* Tue Jan 31 2006 - sbrabec@suse.cz
- Do not link with invalid rpath.
- Enabled parallel build.
- Fixed devel splitting.
* Thu Jan 26 2006 - sbrabec@suse.cz
- Added %%install_info_prereq.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 08 2005 - sbrabec@suse.cz
- Fixed libiso9660.la circular dependency prevention trick.
* Wed Oct 26 2005 - sbrabec@suse.cz
- Updated to version 0.76.
- Build as user.
* Fri Aug 05 2005 - sbrabec@suse.cz
- Build with libcddb-1.2.1.
* Fri Jul 29 2005 - sbrabec@suse.cz
- Updated to version 0.75.
* Mon May 09 2005 - sbrabec@suse.cz
- Build with libcddb-1.0.2.
* Tue Apr 26 2005 - sbrabec@suse.cz
- Updated to version 0.73.
* Fri Apr 01 2005 - meissner@suse.de
- fixed gcc4 compile problem.
* Thu Feb 03 2005 - sbrabec@suse.cz
- Updated to version 0.72.
* Mon Jan 31 2005 - sbrabec@suse.cz
- Updated to version 0.72rc2.
* Mon Jan 24 2005 - sbrabec@suse.cz
- Updated to version 0.71.
* Tue Nov 09 2004 - sbrabec@suse.cz
- New SuSE package, version 0.70.
- Work-around of circular dependency on libcddb and vcdimager.
